<?php

session_start();
include'functions.php';
$count=6;
$width=70;
$height=16;
$font_size_min=12; /* минимальная высота символа */
$font_size_max=12; /* максимальная высота символа */
$font_file="Georgia.ttf";
$char_angle_min=0; /* максимальный наклон символа влево */
$char_angle_max=0;	/* максимальный наклон символа вправо */
$char_angle_shadow=0;	/* размер тени */
$char_align=12;	/* выравнивание символа по-вертикали */
$start=5;	/* позиция первого символа по-горизонтали */
$interval=24;	/* интервал между началами символов */
$chars=date('H:i:s');
$noise=$n; /* уровень шума */

$image=imagecreatetruecolor($width, $height);

$background_color=imagecolorallocate($image, $rbg1, $rbg2, $rbg3); /* rbg-цвет фона */
$background=imagecolorallocate($image, $rbg4, $rbg5, $rbg6); /* rbg-цвет кода */
$font_color=imagecolorallocate($image, $rbg7, $rbg8, $rbg9); /* rbg-цвет тени */

imagefill($image, 0, 0, $background_color);

$str="";

$num_chars=strlen($chars);

	$char=$chars;
	$font_size=rand($font_size_min, $font_size_max);
	$char_angle=rand($char_angle_min, $char_angle_max);
	imagettftext($image, $font_size, $char_angle, $start, $char_align, $font_color, $font_file, $char);
	imagettftext($image, $font_size, $char_angle+$char_angle_shadow*(rand(0, 1)*2-1), $start, $char_align, $background, $font_file, $char);
	$start+=$interval;
	$str.=$char;


if ($noise)
{
	for ($i=0; $i<$width; $i++)
	{
		for ($j=0; $j<$height; $j++)
		{
			$rgb=imagecolorat($image, $i, $j);
			$r=($rgb>>16) & 0xFF;
			$g=($rgb>>8) & 0xFF;
			$b=$rgb & 0xFF;
			$k=rand(-$noise, $noise);
			$rn=$r+255*$k/100;
			$gn=$g+255*$k/100;		
			$bn=$b+255*$k/100;
			if ($rn<0) $rn=0;
			if ($gn<0) $gn=0;
			if ($bn<0) $bn=0;
			if ($rn>255) $rn=255;
			if ($gn>255) $gn=255;
			if ($bn>255) $bn=255;
			$color=imagecolorallocate($image, $rn, $gn, $bn);
			imagesetpixel($image, $i, $j , $color);					
		}
	}
}

$_SESSION["captcha"]=$str;

header("Content-type: image/gif");
imagegif($image);
imagedestroy($image);

?>
